$base_path: '../../../';

@import "../config/base";

.text-formatted.field.field--type-text-long {
  @import "../partials/field/wysiwyg.scss";
}

/*
 * Old override from the gin-custom.css file.
 */
body.user-logged-in.path-node .node-form.gin-node-edit-form .field--name-field-paragraph.field--widget-layout-paragraphs .paragraph {
  border: 2px solid var(--gin-color-primary);
  margin: 0.5rem 0;
  border-radius: 8px;
  padding: 8px;
}

.horizontal-tabs .horizontal-tabs-panes {
  width: 100%;
  padding-top: 18px;
}

.lpb-component-list__group > div > div {
  display: block;
  width: 16.6667% !important;
  position: inherit !important;
  margin: -1px 0px 0px -1px;
}

.lpb-component-list__item a {
  border: 2px solid rgb(229, 229, 227);
  margin: 10px;
  padding: 10px 0px;
  text-decoration: none;
  background: rgb(255, 255, 255);
  color: var(--colorGinText); // stylelint-disable-line custom-property-pattern
  height: 100%;
  box-sizing: border-box;
  border-radius: 3px;
  border-width: 1px;
  text-align: center;
  justify-content: center;
}

.lpb-component-list__search {
  text-align: center;
  margin: 20px;
}

.lpb-dialog.ui-widget-content:has(.lpb-component-list) {
  inset: 10% 6% 9% !important;
  position: fixed !important;
  transform: translate(0px) !important;
  box-shadow: rgb(0, 0, 0) 0px 0px 235px !important;
  width: auto !important;
  margin: 0px auto;
  overflow: unset;
}

.ui-widget-content:has(.lpb-component-list) {
  overflow: unset !important;
}

.csv-feed.views-data-export-feed {
  .feed-icon {
    background-image: none;
    display: inline;
    text-decoration: none;
    outline: none;
  }
  &:hover {
    .feed-icon {
      color: var(--white-500) !important;
    }
  }
}
